This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 135300 - gnome search tool appears to hang
gnome search tool appears to hang
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-utils (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-11 16:24 EDT by Andrew D. Stadler
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-04 21:32:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2004-10-11 16:24:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
(apologies if this is mis-filed.  gnome-search-tool doesn't appear
anywhere in bugzilla)

I recently had an issue with corrupted user accounts and I decided to
try a "search and destroy" of my entire disk to find and kill any
remnants of a broken account.

As an experiment, I tried using the desktop search tool.  Knowing that
many of my files were root-only I launched the search tool from sudo.
 Then I did a big content search.  Well, my server is still new and
there aren't *that* many file on it.  But 30 minutes later it acts
like it's still searching.  I am pretty sure it's just hung.

Version-Release number of selected component (if applicable):
gnome-desktop-2.6.0.1-1

How reproducible:
Always

Steps to Reproduce:
1.  from terminal, sudo gnome-search-tool
2.  leave filename entry blank
3.  change search path to "/"
4.  show more options
5.  add an option "contains the text"
6.  enter search string you know will exist (e.g. your username will
appear in a few /etc/ files)
7.  click "find"

    

Actual Results:  30 minutes later it was still searching and not a
single hit

Expected Results:  (a) slow but steady trickle of "hits" (e.g. from
/etc/ files)
(b) completion sooner than this
(c) if it really is this slow, how about a progress bar?

Additional info:
Comment 1 Marco Pesenti Gritti 2004-10-19 11:12:03 EDT
It seem to work fine in rawhide.
Comment 2 Matthew Miller 2005-04-26 12:20:46 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Andrew D. Stadler 2005-05-04 20:25:45 EDT
Confirmed, seems to work fine in FC3/latest.  gnome-desktop-2.8.0-3
Comment 4 Ray Strode [halfline] 2005-05-04 21:32:32 EDT
Okay closing.

Note You need to log in before you can comment on or make changes to this bug.